import React from 'react'
import ReactDOM from 'react-dom'

document.addEventListener("DOMContentLoaded", function() {
  const CLASS_ATTRIBUTE_NAME = 'data-react-class';
  const PROPS_ATTRIBUTE_NAME = 'data-react-props';

  var toMount = document.querySelectorAll('[' + CLASS_ATTRIBUTE_NAME + ']')

  for (var i = 0; i < toMount.length; ++i) {
    var node = toMount[i];
    var className = node.getAttribute(CLASS_ATTRIBUTE_NAME);
    var propsJson = node.getAttribute(PROPS_ATTRIBUTE_NAME);
    var props = propsJson && JSON.parse(propsJson);

    var constructor = window[className];

    ReactDOM.render(React.createElement(constructor, props), node);
  }
});
